Межсайтовый скриптинг и SQL-инъекция в phpFaber TopSites

Дата публикации:
24.07.2006
Всего просмотров:
2330
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3770
CVE-2006-3902
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpFaber TopSites 2.x
Уязвимые версии: phpFaber TopSites 2.0.9, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "i_cat" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "i_cat" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.phpfaber.com/i/products/topsites/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: phpFaber TopSites <=2.0.9 - SQL Injection Vulnerability

или введите имя

CAPTCHA